Subject: Re: [PATCH] t1410: fix breakage on case-insensitive filesystems

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 Nov 2014 08:30:10 -0800

Jeff King <[email-masked]> writes:

> The patch you are responding to is a fix-up for 9233887, which tweaked
> the code and added those tests in the first place (I doubt it would work
> for you, though, as it has a problem on case-insensitive filesystems).
>
>> But the sequence works as expected with a version built
>> in September:
>
> Hmph. So that would mean my theory is not right. Or maybe I am not
> accounting for something else in my analysis.
>
> I guess it is odd that the test right before the failing one passes (it
> is basically that same sequence, with reflogs turned on for both
> operations), which implies that we are properly getting EISDIR. The only
> difference in the failing test is that reflogs are turned off for the
> "git branch one" operation. But I cannot see why that would be broken if
> the other one passes.

Hmph, or perhaps "branch -d one/two" fails to remove the reflog and
does not notice the failure?  But creation of "one" with reflog
disabled shouldn't be affected in such a case, either.  Puzzled...

> I wish it were easy for me to ssh into a Windows VM and run gdb. ;)

likewise.